unit FormatDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin, ExtCtrls, Misc;

type
  TFormatDialog = class(TForm)
    GBView: TGroupBox;
    GBPlotArea: TGroupBox;
    GBGrid: TGroupBox;
    GBAxes: TGroupBox;
    GBLineFmt: TGroupBox;
    CBBound: TCheckBox;
    BoundBox: TShape;
    CBFill: TCheckBox;
    FillBox: TShape;
    LLineC: TLabel;
    LineBox: TShape;
    LLineW: TLabel;
    SELineW: TSpinEdit;
    LBoundW: TLabel;
    SEBoundW: TSpinEdit;
    CBTics: TCheckBox;
    BTicsF: TButton;
    CBGrid: TCheckBox;
    GridBox: TShape;
    LGridW: TLabel;
    SEGridW: TSpinEdit;
    BOk: TButton;
    BCancel: TButton;
    CBAxes: TCheckBox;
    AxesBox: TShape;
    LAxesW: TLabel;
    SEAxesW: TSpinEdit;
    CBLabels: TCheckBox;
    BLabelF: TButton;
    LabelFontDialog: TFontDialog;
    ColorDialog: TColorDialog;
    GBExport: TGroupBox;
    Label1: TLabel;
    SEViewWidth: TSpinEdit;
    Label2: TLabel;
    SEViewHeight: TSpinEdit;
    Label3: TLabel;
    SEPageWidth: TSpinEdit;
    TicsFontDialog: TFontDialog;
    GBBackground: TGroupBox;
    BackBox: TShape;
    CBFillB: TCheckBox;
    SEPageHeight: TSpinEdit;
    Label4: TLabel;
    STicksForm: TEdit;
    Label5: TLabel;
    Label6: TLabel;
    SLabForm: TEdit;
    GBLabels: TGroupBox;
    PointsFontDialog: TFontDialog;
    LabelA: TEdit;
    LabelB: TEdit;
    LabelC: TEdit;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    BPtsF: TButton;
    GBGeom: TGroupBox;
    EGlobalZoom: TEdit;
    Label10: TLabel;
    Label11: TLabel;
    Eaoscale: TEdit;
    ELabelOffset: TEdit;
    Etickslen: TEdit;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Edit1: TEdit;
    Edit4: TEdit;
    Label15: TLabel;
    procedure BoundBoxMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure CBLabelsClick(Sender: TObject);
    procedure CBTicsClick(Sender: TObject);
    procedure BLabelFClick(Sender: TObject);
    procedure BTicsFClick(Sender: TObject);
    procedure SEBoundWExit(Sender: TObject);
    procedure CBBoundClick(Sender: TObject);
    procedure BPtsFClick(Sender: TObject);
  end;

var
  FormatDialog: TFormatDialog;

implementation

{$R *.DFM}

procedure TFormatDialog.BoundBoxMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  if Sender is TShape then begin
    with Sender as TShape do begin
      ColorDialog.Color:=Brush.Color;
      if ColorDialog.Execute then
        Brush.Color:=ColorDialog.Color;
    end;
  end;
end;

procedure TFormatDialog.CBLabelsClick(Sender: TObject);
begin
  BLabelF.Enabled:=CBLabels.Checked;
end;

procedure TFormatDialog.CBTicsClick(Sender: TObject);
begin
  BTicsF.Enabled:=CBTics.Checked;
end;

procedure TFormatDialog.BLabelFClick(Sender: TObject);
begin
  LabelFontDialog.Execute;
end;

procedure TFormatDialog.BTicsFClick(Sender: TObject);
begin
  TicsFontDialog.Execute;
end;

procedure TFormatDialog.SEBoundWExit(Sender: TObject);
begin
  ValidateSpinEdit(Sender,Self);
end;

procedure TFormatDialog.CBBoundClick(Sender: TObject);
begin
  SEBoundW.Enabled:=CBBound.Checked;
  CBFill.Enabled:=CBBound.Checked;
end;

procedure TFormatDialog.BPtsFClick(Sender: TObject);
begin
  PointsFontDialog.Execute;
end;

end.
